> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update logged in user

> Updates the calling user's profile.



## OpenAPI

````yaml openapi/findity-expense-api.json PUT /me
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me:
    put:
      tags:
        - User
      summary: Update logged in user
      description: Updates the calling user's profile.
      operationId: updateUser
      parameters:
        - in: query
          name: action
          required: false
          description: No request body allowed when using action parameter
          schema:
            type: string
            enum:
              - enableSupportAccess
              - disableSupportAccess
            description: enable or disable support access
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Person'
            example:
              firstName: Emma
              lastName: Expense
              defaultCurrency: USD
              language: en_US
              IBAN: US2138890474392778363181
              BIC: ABCDEF123
              address:
                street1: 132, My Street
                postalCode: 12401
                city: New York
                countryCode: US
              formattingRegion: sv_SE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Person'
              example:
                id: 370e10197a2740dea1f39d21bc9e4a8c
                email: emma.expense@example.com
                firstName: Emma
                lastName: Expense
                mobilePhone: '+4670123456789'
                defaultCurrency: USD
                language: en_US
                IBAN: US2138890474392778363181
                BIC: ABCDEF123
                address:
                  id: 2ee7643987df40b38537b32ccda585d9
                  street1: 132, My Street
                  postalCode: 12401
                  city: New York
                  countryCode: US
                formattingRegion: sv_SE
                meta:
                  capabilities:
                    canImpersonate: false
                    canViewAdmin: false
                  impersonator:
                    firstName: Erik
                    lastName: Admin
                    impersonatorType: PERSON
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                invalid json body:
                  value:
                    result: error
                    code: INVALID_JSON_BODY
                    description: Failed to parse json body
                unknown properties:
                  value:
                    result: error
                    code: NO_KNOWN_JSON_PROPERTIES
                    description: No known, or only read-only properties received
components:
  schemas:
    Person:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Uuid'
          readOnly: true
        email:
          type: string
          readOnly: true
        extraRecipients:
          type: array
          items:
            properties:
              email:
                type: string
              status:
                type: string
                enum:
                  - CONFIRMED
                  - NOT_CONFIRMED
          readOnly: true
        firstName:
          description: Given name.
          type: string
        lastName:
          description: Family name.
          type: string
        mobilePhone:
          type: string
          readOnly: true
        defaultCurrency:
          description: Default currency for new expenses (ISO 4217 code).
          type: string
        bankAccountNumber:
          description: User's bank account number for reimbursements.
          type: string
        language:
          description: Preferred UI language as a locale code (e.g. `en_GB`, `sv_SE`).
          type: string
        IBAN:
          description: International Bank Account Number for cross-border reimbursements.
          type: string
        BIC:
          description: Bank Identifier Code (SWIFT) for cross-border reimbursements.
          type: string
        address:
          $ref: '#/components/schemas/Address'
          description: User's address.
        preferences:
          description: Per-user UI/notification preferences.
          type: object
          properties:
            dateDisplayType:
              type: string
              enum:
                - TIMESTAMP
                - TIME_AGO
            calculateTaxAmount:
              type: boolean
            useOCR:
              type: boolean
            suppressAnalyzeInfoDialog:
              type: boolean
        formattingRegion:
          type: string
          description: The region/locale used for formatting dates/numbers
        temporaryApprovers:
          type: array
          description: A list of temporary approvers that user has set
          items:
            properties:
              organizationId:
                type: string
                description: >-
                  Id of organization for which user has chose to set temporary
                  approver for
              temporaryApproverPersonId:
                type: string
                description: >-
                  Id of person which current user has chosen to act to perform
                  approver role temporarily in his place
              fromDate:
                type: string
                description: >-
                  Start date from which added person will act as approver. This
                  value is set/delivered in format "yyyy-MM-dd'T'HH:mm'Z'"
              toDate:
                type: string
                description: >-
                  End date when added person will be stopped to act as temporary
                  approver instead of current user. This value is set/delivered
                  in format "yyyy-MM-dd'T'HH:mm'Z'"
              approverId:
                $ref: '#/components/schemas/Uuid'
                description: >-
                  Unique id assigned to added temporary user which is created
                  within our system.
        meta:
          description: >-
            Response-only. Server-populated capability flags and derived fields
            for the user.
          type: object
          properties:
            capabilities:
              $ref: '#/components/schemas/PersonCapabilities'
            impersonator:
              type: object
              properties:
                firstName:
                  type: string
                lastName:
                  type: string
                impersonatorType:
                  $ref: '#/components/schemas/ImpersonatorType'
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    Address:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Uuid'
          readOnly: true
        street1:
          type: string
        postalCode:
          type: string
        city:
          type: string
        countryCode:
          type: string
      example:
        id: 2ee7643987df40b38537b32ccda585d9
        street1: 132, My Street
        postalCode: 12401
        city: New York
        countryCode: US
    PersonCapabilities:
      type: object
      properties:
        canImpersonate:
          type: boolean
          description: Indicates if the currently logged in user can act as some other user
          example: false
        canViewAdmin:
          type: boolean
          description: >-
            Indicates if the current user has an access to the admin part of the
            system or not
          example: true
        canViewSettings:
          type: boolean
          description: >-
            Indicates if the current user has an access to the settings part of
            the system or not
          example: true
    ImpersonatorType:
      type: string
      enum:
        - PERSON
        - EMPLOYEE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````